/*-----------------------------------------------------------------------------------
$Id: test_bearing.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
-----------------------------------------------------------------------------------*/

/*
**	Verwendet printf(%f)
**
**	Nur zum Test auf der Entwicklungsmaschine, nicht auf dem ARM!
*/

#include <stdio.h>
#include "bearing.h"

/*
**	Teste die Formatierroutine mit einem Wert
**
**	konvertiere mit "%f" und mit formatDouble
**	zeige beide Ergebnisse
*/

static void
test (double lat1, double lon1, double lat2, double lon2) {
	printf ("(%+f, %+f) -> (%+f, %+f) = %4i°\n",
		lat1, lon1,
		lat2, lon2,
		bearing (lat1, lon1, lat2, lon2));
}

/*
**	Rufe den Test mit verschiedenen Werten auf
*/

int
main (int argn, char** argv) {
	test (0.0, 0.0, 1.0, 0.0);	/* N */
	test (0.0, 0.0,-1.0, 0.0);	/* S */
	test (0.0, 0.0, 0.0, 1.0);	/* E */
	test (0.0, 0.0, 0.0,-1.0);	/* W */
	return 0;
}

/*-----------------------------------------------------------------------------------
$Id: test_bearing.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
-----------------------------------------------------------------------------------*/
