/*-----------------------------------------------------------------------------------
$Id: bearing.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
-----------------------------------------------------------------------------------*/

#include <math.h>
#include "bearing.h"

#define	PI	(3.1415926535)
#define	RHO	(180.0/3.1415926535)

int
bearing (double lat1, double lon1, double lat2, double lon2) {
	return (int) ((atan2 ( (lon2-lon1) * cos (lat1), lat2-lat1) + (2*PI)) * RHO + 0.5) % 360;
}

/*-----------------------------------------------------------------------------------
$Id: bearing.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
-----------------------------------------------------------------------------------*/
