/*-----------------------------------------------------------------------------------
**	$Id: test_ceilfloor.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
**---------------------------------------------------------------------------------*/

/*
**	Verwendet printf(%f) und libm.a
**
**	Nur zum Test auf der Entwicklungsmaschine, nicht auf dem ARM!
*/

#include <stdio.h>
#include "ceilfloor.h"

/*
**	Rufe den Test mit verschiedenen Werten auf
*/

static void
check (double d) {
	printf ("%30.15f → %25.15f %25.15f\n", d, floor(d), ceil(d));
}

int
main (int argn, char** argv) {
	check (-65535.875);
	check (-15.875);
	check (-2.0);
	check (-1.99999999999999);
	check (-1.5);
	check (-1.0);
	check (-0.99999999999999);
	check (-0.5);
	check (-0.0);
	check (+0.0);
	check (+0.5);
	check (+0.99999999999999);
	check (+1.0);
	check (+1.5);
	check (+1.99999999999999);
	check (+2.0);
	check (+15.875);
	check (+65535.875);
	return 0;
}

/*-----------------------------------------------------------------------------------
**	$Id: test_ceilfloor.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
**---------------------------------------------------------------------------------*/
