/*-----------------------------------------------------------------------------------
**	$Id: test_sincos.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
**---------------------------------------------------------------------------------*/

/*
**	Verwendet printf(%f) und libm.a
**
**	Nur zum Test auf der Entwicklungsmaschine, nicht auf dem ARM!
*/

#include <stdio.h>
#include "sincos.h"

/*
**	Rufe den Test mit verschiedenen Werten auf
*/

int
main (int argn, char** argv) {
	int i;
	double phi, result;
	
	for (i=-32; i<=32; i++) {
		phi = i * 3.1415926535 / 16.0;
		result = sin (phi);
		printf ("%10.6f  %10.7f   %*s\n",
			phi,
			result,
			(int) ((result+1.05) * 40),
			"*");
	}
	return 0;
}

/*-----------------------------------------------------------------------------------
**	$Id: test_sincos.c,v 1.2 2012/03/06 08:54:23 wolf Exp wolf $
**---------------------------------------------------------------------------------*/
